
#include <clib/dos_protos.h>

#include <stdlib.h>
#include <string.h>

#include "project.h"

BPTR DICELock;
BPTR IncludeLock;
BPTR AIncludeLock;
BPTR LibLock;

/****************************************************************
***	Creation des assignations pour DICE		      ***
****************************************************************/

void MakeAssign( void ) {
  char *ALibDir;

    ALibDir = malloc( strlen( IncludeDir ) + 10 );
    strcpy( ALibDir , IncludeDir );
    strcat( ALibDir , "/amiga20" );
    IncludeLock = Lock( IncludeDir , ACCESS_READ );
    AIncludeLock = Lock( ALibDir , ACCESS_READ );
    LibLock = Lock( LibDir , ACCESS_READ );
    DICELock = Lock( DICEDir , ACCESS_READ );
    free( ALibDir );
    AssignLock( "DINCLUDE" , DupLock( IncludeLock ) );
    AssignAdd( "DINCLUDE" , DupLock( AIncludeLock ) );
    AssignLock( "DLIB" , DupLock( LibLock ) );
    AssignLock( "DCC" , DupLock( DICELock ) );
}

/****************************************************************
***	Suppresion des assignations de DICE		      ***
****************************************************************/

void RemoveAssign( void ) {
    RemAssignList( "DINCLUDE" , IncludeLock );
    RemAssignList( "DINCLUDE" , AIncludeLock );
    RemAssignList( "DLIB" , LibLock );
    RemAssignList( "DCC" , DICELock );
    UnLock( IncludeLock );
    UnLock( AIncludeLock );
    UnLock( LibLock );
    UnLock( DICELock );
}


